package riomhaire.lti;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import riomhaire.lti.core.business.builder.*;
import riomhaire.lti.demo.RiomhaireApplicationContentLauncherBuilder;

@SpringBootApplication
@Configuration
public class JavaLti13ToolApplication {

//	@Bean
//	public ActionBuilderFactory buildFactory() {
//		return new ActionBuilderFactory(()-> new LaunchContentBuilder(),
//				()->new ProcessLtiMessageBuilder(),
//				()->new ProcessOidcRequestBuilder(),
//				()->new SelectDeepLinkContentBuilder()) ;
//	}
	@Bean
	public ActionBuilderFactory customBuildFactory() {
		return new ActionBuilderFactory(()-> new RiomhaireApplicationContentLauncherBuilder()) ;
	}

	public static void main(String[] args) {
		SpringApplication.run(JavaLti13ToolApplication.class, args);
	}

}
